import {httpApi} from "../../../request/httpApi";

export default {
    //筛孔分类列表查询
    async queryClassification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/sieve/pore/classification/list',
            method: 'get',
            params: form
        }, msg);
    },
    //筛孔分类新增或修改
    async submitClassification(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/sieve/pore/classification/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //筛孔分类删除
    async removeField(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/sieve/pore/classification/remove',
            method: 'post',
            params: form
        }, msg);
    },
    //筛孔尺寸数据分页查询
    async queryPage(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/sieve/pore/data/page',
            method: 'get',
            params: form
        }, msg);
    },
    //筛孔尺寸数据新增或修改
    async submitForm(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/sieve/pore/data/submit',
            method: 'post',
            data: form
        }, msg);
    },
    //筛孔尺寸数据删除
    async removeData(form, msg = true) {
        return httpApi({
            url: '/api/blade-business/sieve/pore/data/remove',
            method: 'post',
            params: form
        }, msg);
    }
}
